Run of fresh-releases for haskell-digest

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
Traceback (most recent call last):
  File "/code/silver-platter/silver_platter/workspace.py", line 210, in __enter__
    self.local_tree.pull(self.main_branch, overwrite=False)
  File "/code/breezy/breezy/git/workingtree.py", line 1276, in pull
    count = self.branch.pull(source, overwrite, stop_revision,
  File "/code/breezy/breezy/branch.py", line 1057, in pull
    return InterBranch.get(source, self).pull(
  File "/code/breezy/breezy/git/branch.py", line 1323, in pull
    _update_tip(
  File "/code/breezy/breezy/git/branch.py", line 97, in _update_tip
    target.generate_revision_history(revid, last_rev, other_branch=source)
  File "/code/breezy/breezy/git/branch.py", line 543, in generate_revision_history
    raise errors.DivergedBranches(self, other_branch)
breezy.errors.DivergedBranches: These branches have diverged. Use the missing command to see how.
Use the merge command to reconcile them.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/code/janitor/worker.py", line 1029, in run_worker
    with process_package(
  File "/usr/lib/python3.10/contextlib.py", line 135, in __enter__
    return next(self.gen)
  File "/code/janitor/worker.py", line 711, in process_package
    es.enter_context(ws)
  File "/usr/lib/python3.10/contextlib.py", line 492, in enter_context
    result = _cm_type.__enter__(cm)
  File "/code/silver-platter/silver_platter/workspace.py", line 216, in __enter__
    self.local_tree.pull(self.main_branch, overwrite=True)
  File "/code/breezy/breezy/git/workingtree.py", line 1276, in pull
    count = self.branch.pull(source, overwrite, stop_revision,
  File "/code/breezy/breezy/branch.py", line 1057, in pull
    return InterBranch.get(source, self).pull(
  File "/code/breezy/breezy/git/branch.py", line 1322, in pull
    refs, stop_revision = self.update_refs(stop_revision)
  File "/code/breezy/breezy/git/branch.py", line 1294, in update_refs
    result = interrepo.fetch(branches=[self.source.ref], include_tags=fetch_tags)
  File "/code/breezy/breezy/git/interrepo.py", line 691, in fetch
    self.fetch_objects(wants_recorder, mapping, limit=limit, lossy=lossy)
  File "/code/breezy/breezy/git/interrepo.py", line 775, in fetch_objects
    refs = self.source.controldir.fetch_pack(
  File "/code/breezy/breezy/git/remote.py", line 481, in fetch_pack
    result = self._client.fetch_pack(
  File "/code/dulwich/dulwich/client.py", line 2107, in fetch_pack
    resp, read = self._smart_request(
  File "/code/dulwich/dulwich/client.py", line 1983, in _smart_request
    resp, read = self._http_request(url, headers, data)
  File "/code/breezy/breezy/git/remote.py", line 808, in _http_request
    response = self.transport.request(
  File "/code/breezy/breezy/transport/http/urllib.py", line 1836, in request
    response = self._opener.open(request)
  File "/usr/lib/python3.10/urllib/request.py", line 519, in open
    response = self._open(req, data)
  File "/usr/lib/python3.10/urllib/request.py", line 536, in _open
    result = self._call_chain(self.handle_open, protocol, protocol +
  File "/usr/lib/python3.10/urllib/request.py", line 496, in _call_chain
    result = func(*args)
  File "/code/breezy/breezy/transport/http/urllib.py", line 813, in https_open
    return self.do_open(HTTPSConnection, request)
  File "/code/breezy/breezy/transport/http/urllib.py", line 689, in do_open
    connection._send_request(method, url,
  File "/usr/lib/python3.10/http/client.py", line 1328, in _send_request
    self.endheaders(body, encode_chunked=encode_chunked)
  File "/usr/lib/python3.10/http/client.py", line 1277, in endheaders
    self._send_output(message_body, encode_chunked=encode_chunked)
  File "/usr/lib/python3.10/http/client.py", line 1076, in _send_output
    self.send(chunk)
  File "/usr/lib/python3.10/http/client.py", line 998, in send
    self.sock.sendall(data)
  File "/code/breezy/breezy/transport/http/urllib.py", line 140, in sendall
    self.sock.sendall(s, *args)
  File "/usr/lib/python3.10/ssl.py", line 1237, in sendall
    v = self.send(byte_view[count:])
  File "/usr/lib/python3.10/ssl.py", line 1206, in send
    return self._sslobj.write(data)
ssl.SSLEOFError: EOF occurred in violation of protocol (_ssl.c:2396)

Publish Blockers

Full worker log